Next: 4.5.1 Mesh-plot Up: 4. SESSION FOUR Previous: 4.4.1 Exercises Contents Index

#
4.5 Perspective views

Our final undertaking in this tutorial is to examine three-dimensional perspective views. GMT is currently limited to vantage points at infinity; thus we are unable to do fly-by's through canyons etc. The GMT module that produces perspective views of gridded data files is grdview. It can make two kinds of plots:

1. Mesh or wire-frame plot (with or without superimposed contours)

2. Color-coded surface (with optional shading, contours, or draping).

Regardless of plot type, some arguments must be specified; these are

1. relief_file; a gridded data set of the surface.

2. -J for the desired map projection.

3. -JZ height for the vertical scaling.

4. -E azimuth/elevation for vantage point.

In addition, some options may be required:

Table 4.5: The most useful options in grdview.

Option | Purpose
-Ccptfile | The cptfile is required for color -coded surfaces and for contoured mesh plots
-Gdrape_file | Assign colors using drape_file instead of relief_file
-Iintens_file | File with illumination intensities
-Qm | Selects mesh plot
-Qs[m] | Surface plot using polygons; append m to show mesh. This option allows for -W
-Qidpi[g] | Image by scan-line conversion. Specify dpi; append g to force gray-shade image. -B is disabled.
-Wpen | Draw contours on top of surface (except with -Qi)

Subsections

- 4.5.1 Mesh-plot
  - 4.5.1.1 Exercises
- 4.5.2 Color-coded view
  - 4.5.2.1 Exercises

Next: 4.5.1 Mesh-plot Up: 4. SESSION FOUR Previous: 4.4.1 Exercises Contents Index